class GlobalEngineSettings
{
    constructor()
    {
        this.Pixi = null;
        this.WebRoot = "";
        this.AssetRoot = "";
        this.LocalAssetRoot = "";
        this.LanguageID = 1;

        this.JSONDefaults = {};

    }

    get screenWidth() { return this.Pixi.screen.width; }
    get screenHeight() { return this.Pixi.screen.height; }
}

var EngineSettings = new GlobalEngineSettings();